searchData={"content_type":"text/markdown","items":[{"doc":"Use this module to build your own Repo module.\n\nExample:\n\n    defmodule MyApp.Repo do\n      use Qdrantex, otp_app: :my_app\n    end\n\nCheck `Qdrantex.Repo` for the default implementation and docs on how your Repo would be generated.","ref":"Qdrantex.html","title":"Qdrantex","type":"module"},{"doc":"Default implementation for Qdrantex.Repo\n\nYou can use it in your application, simply add it to the supervision tree.\n\nConfiguration:\n\n    config :qdrantex, Qdrantex.Repo,\n      api_key: \"your_secret_api_key_here\"","ref":"Qdrantex.Repo.html","title":"Qdrantex.Repo","type":"module"},{"doc":"Executes a query. It accepts module, rpc name as atom and struct %...Request{} as data.\n\nExample:\n\n    Qdrantex.Repo.execute(Qdrantex.Qdrant.Qdrant.Stub, :health_check, %Qdrantex.Qdrant.HealthCheckRequest{})","ref":"Qdrantex.Repo.html#execute/3","title":"Qdrantex.Repo.execute/3","type":"function"},{"doc":"Executes a query. It accepts a closure that accepts GRPC.Channel.t() as an argument.\nThis channel will be substituted with the actual channel during the execution,\nchannel will be provided by the Repo itself.\n\nYou can generate this closure with simplified syntax from *.Stub gRPC nodules:\n\nExample:\n\n      Qdrantex.Repo.run(&Qdrantex.Qdrant.Stub.health_check(&1, %Qdrantex.Qdrant.HealthCheckRequest{}))","ref":"Qdrantex.Repo.html#run/1","title":"Qdrantex.Repo.run/1","type":"function"},{"doc":"Starts Repo under supervision tree. It accepts options as a keyword list.\nOptions will be combined with hardcoded options from `use` statement,\nand with the configuration from the application.\n\nOptions:\n\n* `:hostname` - the hostname of the Qdrant service. Default is `\"localhost\"`.\n* `:port` - the port of the Qdrant service. Default is `6333`.\n* `:otp_app` - the name of the OTP application. Required, but commonly set in `use` statement.\n* `:api_key` - the API key for the Qdrantex service. Can be `nil` if Qdrant service does not require it.\n* `:ssl` - the SSL options for the connection. Can be `nil` if Qdrant service does not require it.\n\n* All options from `DBConnection.start_link/2`. All these are optional.","ref":"Qdrantex.Repo.html#start_link/1","title":"Qdrantex.Repo.start_link/1","type":"function"},{"doc":"","ref":"Qdrantex.Grpc.Health.V1.Health.Service.html","title":"Qdrantex.Grpc.Health.V1.Health.Service","type":"module"},{"doc":"","ref":"Qdrantex.Grpc.Health.V1.Health.Stub.html","title":"Qdrantex.Grpc.Health.V1.Health.Stub","type":"module"},{"doc":"","ref":"Qdrantex.Grpc.Health.V1.Health.Stub.html#check/3","title":"Qdrantex.Grpc.Health.V1.Health.Stub.check/3","type":"function"},{"doc":"","ref":"Qdrantex.Grpc.Health.V1.HealthCheckRequest.html","title":"Qdrantex.Grpc.Health.V1.HealthCheckRequest","type":"module"},{"doc":"","ref":"Qdrantex.Grpc.Health.V1.HealthCheckRequest.html#t:t/0","title":"Qdrantex.Grpc.Health.V1.HealthCheckRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Grpc.Health.V1.HealthCheckResponse.html","title":"Qdrantex.Grpc.Health.V1.HealthCheckResponse","type":"module"},{"doc":"","ref":"Qdrantex.Grpc.Health.V1.HealthCheckResponse.html#t:t/0","title":"Qdrantex.Grpc.Health.V1.HealthCheckResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Grpc.Health.V1.HealthCheckResponse.ServingStatus.html","title":"Qdrantex.Grpc.Health.V1.HealthCheckResponse.ServingStatus","type":"module"},{"doc":"","ref":"Qdrantex.Grpc.Health.V1.HealthCheckResponse.ServingStatus.html#t:t/0","title":"Qdrantex.Grpc.Health.V1.HealthCheckResponse.ServingStatus.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.AddPeerToKnownMessage.html","title":"Qdrantex.Qdrant.AddPeerToKnownMessage","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.AddPeerToKnownMessage.html#t:t/0","title":"Qdrantex.Qdrant.AddPeerToKnownMessage.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.AliasDescription.html","title":"Qdrantex.Qdrant.AliasDescription","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.AliasDescription.html#t:t/0","title":"Qdrantex.Qdrant.AliasDescription.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.AliasOperations.html","title":"Qdrantex.Qdrant.AliasOperations","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.AliasOperations.html#t:t/0","title":"Qdrantex.Qdrant.AliasOperations.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.AllPeers.html","title":"Qdrantex.Qdrant.AllPeers","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.AllPeers.html#t:t/0","title":"Qdrantex.Qdrant.AllPeers.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.BatchResult.html","title":"Qdrantex.Qdrant.BatchResult","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.BatchResult.html#t:t/0","title":"Qdrantex.Qdrant.BatchResult.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.BinaryQuantization.html","title":"Qdrantex.Qdrant.BinaryQuantization","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.BinaryQuantization.html#t:t/0","title":"Qdrantex.Qdrant.BinaryQuantization.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ChangeAliases.html","title":"Qdrantex.Qdrant.ChangeAliases","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ChangeAliases.html#t:t/0","title":"Qdrantex.Qdrant.ChangeAliases.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ClearPayloadPoints.html","title":"Qdrantex.Qdrant.ClearPayloadPoints","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ClearPayloadPoints.html#t:t/0","title":"Qdrantex.Qdrant.ClearPayloadPoints.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ClearPayloadPointsInternal.html","title":"Qdrantex.Qdrant.ClearPayloadPointsInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ClearPayloadPointsInternal.html#t:t/0","title":"Qdrantex.Qdrant.ClearPayloadPointsInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ClockTag.html","title":"Qdrantex.Qdrant.ClockTag","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ClockTag.html#t:t/0","title":"Qdrantex.Qdrant.ClockTag.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionClusterInfoRequest.html","title":"Qdrantex.Qdrant.CollectionClusterInfoRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionClusterInfoRequest.html#t:t/0","title":"Qdrantex.Qdrant.CollectionClusterInfoRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionClusterInfoResponse.html","title":"Qdrantex.Qdrant.CollectionClusterInfoResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionClusterInfoResponse.html#t:t/0","title":"Qdrantex.Qdrant.CollectionClusterInfoResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionConfig.html","title":"Qdrantex.Qdrant.CollectionConfig","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionConfig.html#t:t/0","title":"Qdrantex.Qdrant.CollectionConfig.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionDescription.html","title":"Qdrantex.Qdrant.CollectionDescription","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionDescription.html#t:t/0","title":"Qdrantex.Qdrant.CollectionDescription.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionExists.html","title":"Qdrantex.Qdrant.CollectionExists","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionExists.html#t:t/0","title":"Qdrantex.Qdrant.CollectionExists.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionExistsRequest.html","title":"Qdrantex.Qdrant.CollectionExistsRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionExistsRequest.html#t:t/0","title":"Qdrantex.Qdrant.CollectionExistsRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionExistsResponse.html","title":"Qdrantex.Qdrant.CollectionExistsResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionExistsResponse.html#t:t/0","title":"Qdrantex.Qdrant.CollectionExistsResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionInfo.html","title":"Qdrantex.Qdrant.CollectionInfo","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionInfo.html#t:t/0","title":"Qdrantex.Qdrant.CollectionInfo.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionInfo.PayloadSchemaEntry.html","title":"Qdrantex.Qdrant.CollectionInfo.PayloadSchemaEntry","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionInfo.PayloadSchemaEntry.html#t:t/0","title":"Qdrantex.Qdrant.CollectionInfo.PayloadSchemaEntry.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionOperationResponse.html","title":"Qdrantex.Qdrant.CollectionOperationResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionOperationResponse.html#t:t/0","title":"Qdrantex.Qdrant.CollectionOperationResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionParams.html","title":"Qdrantex.Qdrant.CollectionParams","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionParams.html#t:t/0","title":"Qdrantex.Qdrant.CollectionParams.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionParamsDiff.html","title":"Qdrantex.Qdrant.CollectionParamsDiff","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionParamsDiff.html#t:t/0","title":"Qdrantex.Qdrant.CollectionParamsDiff.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionStatus.html","title":"Qdrantex.Qdrant.CollectionStatus","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionStatus.html#t:t/0","title":"Qdrantex.Qdrant.CollectionStatus.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Collections.Service.html","title":"Qdrantex.Qdrant.Collections.Service","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Collections.Stub.html","title":"Qdrantex.Qdrant.Collections.Stub","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Collections.Stub.html#collection_cluster_info/3","title":"Qdrantex.Qdrant.Collections.Stub.collection_cluster_info/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Collections.Stub.html#collection_exists/3","title":"Qdrantex.Qdrant.Collections.Stub.collection_exists/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Collections.Stub.html#create/3","title":"Qdrantex.Qdrant.Collections.Stub.create/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Collections.Stub.html#create_shard_key/3","title":"Qdrantex.Qdrant.Collections.Stub.create_shard_key/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Collections.Stub.html#delete/3","title":"Qdrantex.Qdrant.Collections.Stub.delete/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Collections.Stub.html#delete_shard_key/3","title":"Qdrantex.Qdrant.Collections.Stub.delete_shard_key/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Collections.Stub.html#get/3","title":"Qdrantex.Qdrant.Collections.Stub.get/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Collections.Stub.html#list/3","title":"Qdrantex.Qdrant.Collections.Stub.list/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Collections.Stub.html#list_aliases/3","title":"Qdrantex.Qdrant.Collections.Stub.list_aliases/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Collections.Stub.html#list_collection_aliases/3","title":"Qdrantex.Qdrant.Collections.Stub.list_collection_aliases/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Collections.Stub.html#update/3","title":"Qdrantex.Qdrant.Collections.Stub.update/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Collections.Stub.html#update_aliases/3","title":"Qdrantex.Qdrant.Collections.Stub.update_aliases/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Collections.Stub.html#update_collection_cluster_setup/3","title":"Qdrantex.Qdrant.Collections.Stub.update_collection_cluster_setup/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionsInternal.Service.html","title":"Qdrantex.Qdrant.CollectionsInternal.Service","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionsInternal.Stub.html","title":"Qdrantex.Qdrant.CollectionsInternal.Stub","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionsInternal.Stub.html#get/3","title":"Qdrantex.Qdrant.CollectionsInternal.Stub.get/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionsInternal.Stub.html#get_shard_recovery_point/3","title":"Qdrantex.Qdrant.CollectionsInternal.Stub.get_shard_recovery_point/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionsInternal.Stub.html#initiate/3","title":"Qdrantex.Qdrant.CollectionsInternal.Stub.initiate/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionsInternal.Stub.html#update_shard_cutoff_point/3","title":"Qdrantex.Qdrant.CollectionsInternal.Stub.update_shard_cutoff_point/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.CollectionsInternal.Stub.html#wait_for_shard_state/3","title":"Qdrantex.Qdrant.CollectionsInternal.Stub.wait_for_shard_state/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.CompressionRatio.html","title":"Qdrantex.Qdrant.CompressionRatio","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CompressionRatio.html#t:t/0","title":"Qdrantex.Qdrant.CompressionRatio.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Condition.html","title":"Qdrantex.Qdrant.Condition","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Condition.html#t:t/0","title":"Qdrantex.Qdrant.Condition.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ContextExamplePair.html","title":"Qdrantex.Qdrant.ContextExamplePair","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ContextExamplePair.html#t:t/0","title":"Qdrantex.Qdrant.ContextExamplePair.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ContextPair.html","title":"Qdrantex.Qdrant.ContextPair","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ContextPair.html#t:t/0","title":"Qdrantex.Qdrant.ContextPair.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ContextQuery.html","title":"Qdrantex.Qdrant.ContextQuery","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ContextQuery.html#t:t/0","title":"Qdrantex.Qdrant.ContextQuery.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CoreSearchBatchPointsInternal.html","title":"Qdrantex.Qdrant.CoreSearchBatchPointsInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CoreSearchBatchPointsInternal.html#t:t/0","title":"Qdrantex.Qdrant.CoreSearchBatchPointsInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CoreSearchPoints.html","title":"Qdrantex.Qdrant.CoreSearchPoints","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CoreSearchPoints.html#t:t/0","title":"Qdrantex.Qdrant.CoreSearchPoints.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CountPoints.html","title":"Qdrantex.Qdrant.CountPoints","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CountPoints.html#t:t/0","title":"Qdrantex.Qdrant.CountPoints.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CountPointsInternal.html","title":"Qdrantex.Qdrant.CountPointsInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CountPointsInternal.html#t:t/0","title":"Qdrantex.Qdrant.CountPointsInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CountResponse.html","title":"Qdrantex.Qdrant.CountResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CountResponse.html#t:t/0","title":"Qdrantex.Qdrant.CountResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CountResult.html","title":"Qdrantex.Qdrant.CountResult","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CountResult.html#t:t/0","title":"Qdrantex.Qdrant.CountResult.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CreateAlias.html","title":"Qdrantex.Qdrant.CreateAlias","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CreateAlias.html#t:t/0","title":"Qdrantex.Qdrant.CreateAlias.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CreateCollection.html","title":"Qdrantex.Qdrant.CreateCollection","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CreateCollection.html#t:t/0","title":"Qdrantex.Qdrant.CreateCollection.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CreateFieldIndexCollection.html","title":"Qdrantex.Qdrant.CreateFieldIndexCollection","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CreateFieldIndexCollection.html#t:t/0","title":"Qdrantex.Qdrant.CreateFieldIndexCollection.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CreateFieldIndexCollectionInternal.html","title":"Qdrantex.Qdrant.CreateFieldIndexCollectionInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CreateFieldIndexCollectionInternal.html#t:t/0","title":"Qdrantex.Qdrant.CreateFieldIndexCollectionInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CreateFullSnapshotRequest.html","title":"Qdrantex.Qdrant.CreateFullSnapshotRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CreateFullSnapshotRequest.html#t:t/0","title":"Qdrantex.Qdrant.CreateFullSnapshotRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CreateShardKey.html","title":"Qdrantex.Qdrant.CreateShardKey","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CreateShardKey.html#t:t/0","title":"Qdrantex.Qdrant.CreateShardKey.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CreateShardKeyRequest.html","title":"Qdrantex.Qdrant.CreateShardKeyRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CreateShardKeyRequest.html#t:t/0","title":"Qdrantex.Qdrant.CreateShardKeyRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CreateShardKeyResponse.html","title":"Qdrantex.Qdrant.CreateShardKeyResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CreateShardKeyResponse.html#t:t/0","title":"Qdrantex.Qdrant.CreateShardKeyResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CreateShardSnapshotRequest.html","title":"Qdrantex.Qdrant.CreateShardSnapshotRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CreateShardSnapshotRequest.html#t:t/0","title":"Qdrantex.Qdrant.CreateShardSnapshotRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CreateSnapshotRequest.html","title":"Qdrantex.Qdrant.CreateSnapshotRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CreateSnapshotRequest.html#t:t/0","title":"Qdrantex.Qdrant.CreateSnapshotRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.CreateSnapshotResponse.html","title":"Qdrantex.Qdrant.CreateSnapshotResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.CreateSnapshotResponse.html#t:t/0","title":"Qdrantex.Qdrant.CreateSnapshotResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DatetimeRange.html","title":"Qdrantex.Qdrant.DatetimeRange","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DatetimeRange.html#t:t/0","title":"Qdrantex.Qdrant.DatetimeRange.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteAlias.html","title":"Qdrantex.Qdrant.DeleteAlias","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteAlias.html#t:t/0","title":"Qdrantex.Qdrant.DeleteAlias.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteCollection.html","title":"Qdrantex.Qdrant.DeleteCollection","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteCollection.html#t:t/0","title":"Qdrantex.Qdrant.DeleteCollection.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteFieldIndexCollection.html","title":"Qdrantex.Qdrant.DeleteFieldIndexCollection","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteFieldIndexCollection.html#t:t/0","title":"Qdrantex.Qdrant.DeleteFieldIndexCollection.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteFieldIndexCollectionInternal.html","title":"Qdrantex.Qdrant.DeleteFieldIndexCollectionInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteFieldIndexCollectionInternal.html#t:t/0","title":"Qdrantex.Qdrant.DeleteFieldIndexCollectionInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteFullSnapshotRequest.html","title":"Qdrantex.Qdrant.DeleteFullSnapshotRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteFullSnapshotRequest.html#t:t/0","title":"Qdrantex.Qdrant.DeleteFullSnapshotRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DeletePayloadPoints.html","title":"Qdrantex.Qdrant.DeletePayloadPoints","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DeletePayloadPoints.html#t:t/0","title":"Qdrantex.Qdrant.DeletePayloadPoints.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DeletePayloadPointsInternal.html","title":"Qdrantex.Qdrant.DeletePayloadPointsInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DeletePayloadPointsInternal.html#t:t/0","title":"Qdrantex.Qdrant.DeletePayloadPointsInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DeletePointVectors.html","title":"Qdrantex.Qdrant.DeletePointVectors","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DeletePointVectors.html#t:t/0","title":"Qdrantex.Qdrant.DeletePointVectors.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DeletePoints.html","title":"Qdrantex.Qdrant.DeletePoints","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DeletePoints.html#t:t/0","title":"Qdrantex.Qdrant.DeletePoints.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DeletePointsInternal.html","title":"Qdrantex.Qdrant.DeletePointsInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DeletePointsInternal.html#t:t/0","title":"Qdrantex.Qdrant.DeletePointsInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteShardKey.html","title":"Qdrantex.Qdrant.DeleteShardKey","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteShardKey.html#t:t/0","title":"Qdrantex.Qdrant.DeleteShardKey.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteShardKeyRequest.html","title":"Qdrantex.Qdrant.DeleteShardKeyRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteShardKeyRequest.html#t:t/0","title":"Qdrantex.Qdrant.DeleteShardKeyRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteShardKeyResponse.html","title":"Qdrantex.Qdrant.DeleteShardKeyResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteShardKeyResponse.html#t:t/0","title":"Qdrantex.Qdrant.DeleteShardKeyResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteShardSnapshotRequest.html","title":"Qdrantex.Qdrant.DeleteShardSnapshotRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteShardSnapshotRequest.html#t:t/0","title":"Qdrantex.Qdrant.DeleteShardSnapshotRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteSnapshotRequest.html","title":"Qdrantex.Qdrant.DeleteSnapshotRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteSnapshotRequest.html#t:t/0","title":"Qdrantex.Qdrant.DeleteSnapshotRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteSnapshotResponse.html","title":"Qdrantex.Qdrant.DeleteSnapshotResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteSnapshotResponse.html#t:t/0","title":"Qdrantex.Qdrant.DeleteSnapshotResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteVectorsInternal.html","title":"Qdrantex.Qdrant.DeleteVectorsInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DeleteVectorsInternal.html#t:t/0","title":"Qdrantex.Qdrant.DeleteVectorsInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Direction.html","title":"Qdrantex.Qdrant.Direction","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Direction.html#t:t/0","title":"Qdrantex.Qdrant.Direction.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Disabled.html","title":"Qdrantex.Qdrant.Disabled","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Disabled.html#t:t/0","title":"Qdrantex.Qdrant.Disabled.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DiscoverBatchPoints.html","title":"Qdrantex.Qdrant.DiscoverBatchPoints","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DiscoverBatchPoints.html#t:t/0","title":"Qdrantex.Qdrant.DiscoverBatchPoints.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DiscoverBatchResponse.html","title":"Qdrantex.Qdrant.DiscoverBatchResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DiscoverBatchResponse.html#t:t/0","title":"Qdrantex.Qdrant.DiscoverBatchResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DiscoverPoints.html","title":"Qdrantex.Qdrant.DiscoverPoints","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DiscoverPoints.html#t:t/0","title":"Qdrantex.Qdrant.DiscoverPoints.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DiscoverResponse.html","title":"Qdrantex.Qdrant.DiscoverResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DiscoverResponse.html#t:t/0","title":"Qdrantex.Qdrant.DiscoverResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.DiscoveryQuery.html","title":"Qdrantex.Qdrant.DiscoveryQuery","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.DiscoveryQuery.html#t:t/0","title":"Qdrantex.Qdrant.DiscoveryQuery.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Distance.html","title":"Qdrantex.Qdrant.Distance","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Distance.html#t:t/0","title":"Qdrantex.Qdrant.Distance.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.FieldCondition.html","title":"Qdrantex.Qdrant.FieldCondition","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.FieldCondition.html#t:t/0","title":"Qdrantex.Qdrant.FieldCondition.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.FieldType.html","title":"Qdrantex.Qdrant.FieldType","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.FieldType.html#t:t/0","title":"Qdrantex.Qdrant.FieldType.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Filter.html","title":"Qdrantex.Qdrant.Filter","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Filter.html#t:t/0","title":"Qdrantex.Qdrant.Filter.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.GeoBoundingBox.html","title":"Qdrantex.Qdrant.GeoBoundingBox","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.GeoBoundingBox.html#t:t/0","title":"Qdrantex.Qdrant.GeoBoundingBox.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.GeoLineString.html","title":"Qdrantex.Qdrant.GeoLineString","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.GeoLineString.html#t:t/0","title":"Qdrantex.Qdrant.GeoLineString.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.GeoPoint.html","title":"Qdrantex.Qdrant.GeoPoint","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.GeoPoint.html#t:t/0","title":"Qdrantex.Qdrant.GeoPoint.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.GeoPolygon.html","title":"Qdrantex.Qdrant.GeoPolygon","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.GeoPolygon.html#t:t/0","title":"Qdrantex.Qdrant.GeoPolygon.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.GeoRadius.html","title":"Qdrantex.Qdrant.GeoRadius","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.GeoRadius.html#t:t/0","title":"Qdrantex.Qdrant.GeoRadius.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.GetCollectionInfoRequest.html","title":"Qdrantex.Qdrant.GetCollectionInfoRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.GetCollectionInfoRequest.html#t:t/0","title":"Qdrantex.Qdrant.GetCollectionInfoRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.GetCollectionInfoRequestInternal.html","title":"Qdrantex.Qdrant.GetCollectionInfoRequestInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.GetCollectionInfoRequestInternal.html#t:t/0","title":"Qdrantex.Qdrant.GetCollectionInfoRequestInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.GetCollectionInfoResponse.html","title":"Qdrantex.Qdrant.GetCollectionInfoResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.GetCollectionInfoResponse.html#t:t/0","title":"Qdrantex.Qdrant.GetCollectionInfoResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.GetConsensusCommitRequest.html","title":"Qdrantex.Qdrant.GetConsensusCommitRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.GetConsensusCommitRequest.html#t:t/0","title":"Qdrantex.Qdrant.GetConsensusCommitRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.GetConsensusCommitResponse.html","title":"Qdrantex.Qdrant.GetConsensusCommitResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.GetConsensusCommitResponse.html#t:t/0","title":"Qdrantex.Qdrant.GetConsensusCommitResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.GetPoints.html","title":"Qdrantex.Qdrant.GetPoints","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.GetPoints.html#t:t/0","title":"Qdrantex.Qdrant.GetPoints.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.GetPointsInternal.html","title":"Qdrantex.Qdrant.GetPointsInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.GetPointsInternal.html#t:t/0","title":"Qdrantex.Qdrant.GetPointsInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.GetResponse.html","title":"Qdrantex.Qdrant.GetResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.GetResponse.html#t:t/0","title":"Qdrantex.Qdrant.GetResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.GetShardRecoveryPointRequest.html","title":"Qdrantex.Qdrant.GetShardRecoveryPointRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.GetShardRecoveryPointRequest.html#t:t/0","title":"Qdrantex.Qdrant.GetShardRecoveryPointRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.GetShardRecoveryPointResponse.html","title":"Qdrantex.Qdrant.GetShardRecoveryPointResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.GetShardRecoveryPointResponse.html#t:t/0","title":"Qdrantex.Qdrant.GetShardRecoveryPointResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.GroupId.html","title":"Qdrantex.Qdrant.GroupId","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.GroupId.html#t:t/0","title":"Qdrantex.Qdrant.GroupId.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.GroupsResult.html","title":"Qdrantex.Qdrant.GroupsResult","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.GroupsResult.html#t:t/0","title":"Qdrantex.Qdrant.GroupsResult.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.HasIdCondition.html","title":"Qdrantex.Qdrant.HasIdCondition","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.HasIdCondition.html#t:t/0","title":"Qdrantex.Qdrant.HasIdCondition.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.HealthCheckReply.html","title":"Qdrantex.Qdrant.HealthCheckReply","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.HealthCheckReply.html#t:t/0","title":"Qdrantex.Qdrant.HealthCheckReply.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.HealthCheckRequest.html","title":"Qdrantex.Qdrant.HealthCheckRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.HealthCheckRequest.html#t:t/0","title":"Qdrantex.Qdrant.HealthCheckRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.HnswConfigDiff.html","title":"Qdrantex.Qdrant.HnswConfigDiff","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.HnswConfigDiff.html#t:t/0","title":"Qdrantex.Qdrant.HnswConfigDiff.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.InitiateShardTransferRequest.html","title":"Qdrantex.Qdrant.InitiateShardTransferRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.InitiateShardTransferRequest.html#t:t/0","title":"Qdrantex.Qdrant.InitiateShardTransferRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.IntegerIndexParams.html","title":"Qdrantex.Qdrant.IntegerIndexParams","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.IntegerIndexParams.html#t:t/0","title":"Qdrantex.Qdrant.IntegerIndexParams.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.IsEmptyCondition.html","title":"Qdrantex.Qdrant.IsEmptyCondition","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.IsEmptyCondition.html#t:t/0","title":"Qdrantex.Qdrant.IsEmptyCondition.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.IsNullCondition.html","title":"Qdrantex.Qdrant.IsNullCondition","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.IsNullCondition.html#t:t/0","title":"Qdrantex.Qdrant.IsNullCondition.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ListAliasesRequest.html","title":"Qdrantex.Qdrant.ListAliasesRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ListAliasesRequest.html#t:t/0","title":"Qdrantex.Qdrant.ListAliasesRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ListAliasesResponse.html","title":"Qdrantex.Qdrant.ListAliasesResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ListAliasesResponse.html#t:t/0","title":"Qdrantex.Qdrant.ListAliasesResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ListCollectionAliasesRequest.html","title":"Qdrantex.Qdrant.ListCollectionAliasesRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ListCollectionAliasesRequest.html#t:t/0","title":"Qdrantex.Qdrant.ListCollectionAliasesRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ListCollectionsRequest.html","title":"Qdrantex.Qdrant.ListCollectionsRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ListCollectionsRequest.html#t:t/0","title":"Qdrantex.Qdrant.ListCollectionsRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ListCollectionsResponse.html","title":"Qdrantex.Qdrant.ListCollectionsResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ListCollectionsResponse.html#t:t/0","title":"Qdrantex.Qdrant.ListCollectionsResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ListFullSnapshotsRequest.html","title":"Qdrantex.Qdrant.ListFullSnapshotsRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ListFullSnapshotsRequest.html#t:t/0","title":"Qdrantex.Qdrant.ListFullSnapshotsRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ListShardSnapshotsRequest.html","title":"Qdrantex.Qdrant.ListShardSnapshotsRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ListShardSnapshotsRequest.html#t:t/0","title":"Qdrantex.Qdrant.ListShardSnapshotsRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ListSnapshotsRequest.html","title":"Qdrantex.Qdrant.ListSnapshotsRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ListSnapshotsRequest.html#t:t/0","title":"Qdrantex.Qdrant.ListSnapshotsRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ListSnapshotsResponse.html","title":"Qdrantex.Qdrant.ListSnapshotsResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ListSnapshotsResponse.html#t:t/0","title":"Qdrantex.Qdrant.ListSnapshotsResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ListValue.html","title":"Qdrantex.Qdrant.ListValue","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ListValue.html#t:t/0","title":"Qdrantex.Qdrant.ListValue.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.LocalShardInfo.html","title":"Qdrantex.Qdrant.LocalShardInfo","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.LocalShardInfo.html#t:t/0","title":"Qdrantex.Qdrant.LocalShardInfo.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.LookupLocation.html","title":"Qdrantex.Qdrant.LookupLocation","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.LookupLocation.html#t:t/0","title":"Qdrantex.Qdrant.LookupLocation.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Match.html","title":"Qdrantex.Qdrant.Match","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Match.html#t:t/0","title":"Qdrantex.Qdrant.Match.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.MinShould.html","title":"Qdrantex.Qdrant.MinShould","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.MinShould.html#t:t/0","title":"Qdrantex.Qdrant.MinShould.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.MoveShard.html","title":"Qdrantex.Qdrant.MoveShard","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.MoveShard.html#t:t/0","title":"Qdrantex.Qdrant.MoveShard.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.NamedVectors.html","title":"Qdrantex.Qdrant.NamedVectors","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.NamedVectors.html#t:t/0","title":"Qdrantex.Qdrant.NamedVectors.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.NamedVectors.VectorsEntry.html","title":"Qdrantex.Qdrant.NamedVectors.VectorsEntry","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.NamedVectors.VectorsEntry.html#t:t/0","title":"Qdrantex.Qdrant.NamedVectors.VectorsEntry.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.NestedCondition.html","title":"Qdrantex.Qdrant.NestedCondition","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.NestedCondition.html#t:t/0","title":"Qdrantex.Qdrant.NestedCondition.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.NullValue.html","title":"Qdrantex.Qdrant.NullValue","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.NullValue.html#t:t/0","title":"Qdrantex.Qdrant.NullValue.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.OptimizerStatus.html","title":"Qdrantex.Qdrant.OptimizerStatus","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.OptimizerStatus.html#t:t/0","title":"Qdrantex.Qdrant.OptimizerStatus.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.OptimizersConfigDiff.html","title":"Qdrantex.Qdrant.OptimizersConfigDiff","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.OptimizersConfigDiff.html#t:t/0","title":"Qdrantex.Qdrant.OptimizersConfigDiff.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.OrderBy.html","title":"Qdrantex.Qdrant.OrderBy","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.OrderBy.html#t:t/0","title":"Qdrantex.Qdrant.OrderBy.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PayloadExcludeSelector.html","title":"Qdrantex.Qdrant.PayloadExcludeSelector","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PayloadExcludeSelector.html#t:t/0","title":"Qdrantex.Qdrant.PayloadExcludeSelector.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PayloadIncludeSelector.html","title":"Qdrantex.Qdrant.PayloadIncludeSelector","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PayloadIncludeSelector.html#t:t/0","title":"Qdrantex.Qdrant.PayloadIncludeSelector.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PayloadIndexParams.html","title":"Qdrantex.Qdrant.PayloadIndexParams","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PayloadIndexParams.html#t:t/0","title":"Qdrantex.Qdrant.PayloadIndexParams.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PayloadSchemaInfo.html","title":"Qdrantex.Qdrant.PayloadSchemaInfo","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PayloadSchemaInfo.html#t:t/0","title":"Qdrantex.Qdrant.PayloadSchemaInfo.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PayloadSchemaType.html","title":"Qdrantex.Qdrant.PayloadSchemaType","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PayloadSchemaType.html#t:t/0","title":"Qdrantex.Qdrant.PayloadSchemaType.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Peer.html","title":"Qdrantex.Qdrant.Peer","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Peer.html#t:t/0","title":"Qdrantex.Qdrant.Peer.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PeerId.html","title":"Qdrantex.Qdrant.PeerId","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PeerId.html#t:t/0","title":"Qdrantex.Qdrant.PeerId.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PointGroup.html","title":"Qdrantex.Qdrant.PointGroup","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointGroup.html#t:t/0","title":"Qdrantex.Qdrant.PointGroup.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PointId.html","title":"Qdrantex.Qdrant.PointId","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointId.html#t:t/0","title":"Qdrantex.Qdrant.PointId.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PointStruct.html","title":"Qdrantex.Qdrant.PointStruct","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointStruct.html#t:t/0","title":"Qdrantex.Qdrant.PointStruct.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PointStruct.PayloadEntry.html","title":"Qdrantex.Qdrant.PointStruct.PayloadEntry","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointStruct.PayloadEntry.html#t:t/0","title":"Qdrantex.Qdrant.PointStruct.PayloadEntry.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PointVectors.html","title":"Qdrantex.Qdrant.PointVectors","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointVectors.html#t:t/0","title":"Qdrantex.Qdrant.PointVectors.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Service.html","title":"Qdrantex.Qdrant.Points.Service","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html","title":"Qdrantex.Qdrant.Points.Stub","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#clear_payload/3","title":"Qdrantex.Qdrant.Points.Stub.clear_payload/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#count/3","title":"Qdrantex.Qdrant.Points.Stub.count/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#create_field_index/3","title":"Qdrantex.Qdrant.Points.Stub.create_field_index/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#delete/3","title":"Qdrantex.Qdrant.Points.Stub.delete/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#delete_field_index/3","title":"Qdrantex.Qdrant.Points.Stub.delete_field_index/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#delete_payload/3","title":"Qdrantex.Qdrant.Points.Stub.delete_payload/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#delete_vectors/3","title":"Qdrantex.Qdrant.Points.Stub.delete_vectors/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#discover/3","title":"Qdrantex.Qdrant.Points.Stub.discover/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#discover_batch/3","title":"Qdrantex.Qdrant.Points.Stub.discover_batch/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#get/3","title":"Qdrantex.Qdrant.Points.Stub.get/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#overwrite_payload/3","title":"Qdrantex.Qdrant.Points.Stub.overwrite_payload/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#recommend/3","title":"Qdrantex.Qdrant.Points.Stub.recommend/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#recommend_batch/3","title":"Qdrantex.Qdrant.Points.Stub.recommend_batch/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#recommend_groups/3","title":"Qdrantex.Qdrant.Points.Stub.recommend_groups/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#scroll/3","title":"Qdrantex.Qdrant.Points.Stub.scroll/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#search/3","title":"Qdrantex.Qdrant.Points.Stub.search/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#search_batch/3","title":"Qdrantex.Qdrant.Points.Stub.search_batch/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#search_groups/3","title":"Qdrantex.Qdrant.Points.Stub.search_groups/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#set_payload/3","title":"Qdrantex.Qdrant.Points.Stub.set_payload/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#update_batch/3","title":"Qdrantex.Qdrant.Points.Stub.update_batch/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#update_vectors/3","title":"Qdrantex.Qdrant.Points.Stub.update_vectors/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Points.Stub.html#upsert/3","title":"Qdrantex.Qdrant.Points.Stub.upsert/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.PointsIdsList.html","title":"Qdrantex.Qdrant.PointsIdsList","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointsIdsList.html#t:t/0","title":"Qdrantex.Qdrant.PointsIdsList.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Service.html","title":"Qdrantex.Qdrant.PointsInternal.Service","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Stub.html","title":"Qdrantex.Qdrant.PointsInternal.Stub","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Stub.html#clear_payload/3","title":"Qdrantex.Qdrant.PointsInternal.Stub.clear_payload/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Stub.html#core_search_batch/3","title":"Qdrantex.Qdrant.PointsInternal.Stub.core_search_batch/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Stub.html#count/3","title":"Qdrantex.Qdrant.PointsInternal.Stub.count/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Stub.html#create_field_index/3","title":"Qdrantex.Qdrant.PointsInternal.Stub.create_field_index/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Stub.html#delete/3","title":"Qdrantex.Qdrant.PointsInternal.Stub.delete/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Stub.html#delete_field_index/3","title":"Qdrantex.Qdrant.PointsInternal.Stub.delete_field_index/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Stub.html#delete_payload/3","title":"Qdrantex.Qdrant.PointsInternal.Stub.delete_payload/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Stub.html#delete_vectors/3","title":"Qdrantex.Qdrant.PointsInternal.Stub.delete_vectors/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Stub.html#get/3","title":"Qdrantex.Qdrant.PointsInternal.Stub.get/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Stub.html#overwrite_payload/3","title":"Qdrantex.Qdrant.PointsInternal.Stub.overwrite_payload/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Stub.html#recommend/3","title":"Qdrantex.Qdrant.PointsInternal.Stub.recommend/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Stub.html#scroll/3","title":"Qdrantex.Qdrant.PointsInternal.Stub.scroll/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Stub.html#search/3","title":"Qdrantex.Qdrant.PointsInternal.Stub.search/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Stub.html#search_batch/3","title":"Qdrantex.Qdrant.PointsInternal.Stub.search_batch/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Stub.html#set_payload/3","title":"Qdrantex.Qdrant.PointsInternal.Stub.set_payload/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Stub.html#sync/3","title":"Qdrantex.Qdrant.PointsInternal.Stub.sync/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Stub.html#update_vectors/3","title":"Qdrantex.Qdrant.PointsInternal.Stub.update_vectors/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.PointsInternal.Stub.html#upsert/3","title":"Qdrantex.Qdrant.PointsInternal.Stub.upsert/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.PointsOperationResponse.html","title":"Qdrantex.Qdrant.PointsOperationResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointsOperationResponse.html#t:t/0","title":"Qdrantex.Qdrant.PointsOperationResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PointsOperationResponseInternal.html","title":"Qdrantex.Qdrant.PointsOperationResponseInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointsOperationResponseInternal.html#t:t/0","title":"Qdrantex.Qdrant.PointsOperationResponseInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PointsSelector.html","title":"Qdrantex.Qdrant.PointsSelector","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointsSelector.html#t:t/0","title":"Qdrantex.Qdrant.PointsSelector.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PointsUpdateOperation.html","title":"Qdrantex.Qdrant.PointsUpdateOperation","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointsUpdateOperation.html#t:t/0","title":"Qdrantex.Qdrant.PointsUpdateOperation.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PointsUpdateOperation.ClearPayload.html","title":"Qdrantex.Qdrant.PointsUpdateOperation.ClearPayload","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointsUpdateOperation.ClearPayload.html#t:t/0","title":"Qdrantex.Qdrant.PointsUpdateOperation.ClearPayload.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PointsUpdateOperation.DeletePayload.html","title":"Qdrantex.Qdrant.PointsUpdateOperation.DeletePayload","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointsUpdateOperation.DeletePayload.html#t:t/0","title":"Qdrantex.Qdrant.PointsUpdateOperation.DeletePayload.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PointsUpdateOperation.DeletePoints.html","title":"Qdrantex.Qdrant.PointsUpdateOperation.DeletePoints","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointsUpdateOperation.DeletePoints.html#t:t/0","title":"Qdrantex.Qdrant.PointsUpdateOperation.DeletePoints.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PointsUpdateOperation.DeleteVectors.html","title":"Qdrantex.Qdrant.PointsUpdateOperation.DeleteVectors","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointsUpdateOperation.DeleteVectors.html#t:t/0","title":"Qdrantex.Qdrant.PointsUpdateOperation.DeleteVectors.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PointsUpdateOperation.PointStructList.html","title":"Qdrantex.Qdrant.PointsUpdateOperation.PointStructList","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointsUpdateOperation.PointStructList.html#t:t/0","title":"Qdrantex.Qdrant.PointsUpdateOperation.PointStructList.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PointsUpdateOperation.SetPayload.html","title":"Qdrantex.Qdrant.PointsUpdateOperation.SetPayload","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointsUpdateOperation.SetPayload.html#t:t/0","title":"Qdrantex.Qdrant.PointsUpdateOperation.SetPayload.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PointsUpdateOperation.SetPayload.PayloadEntry.html","title":"Qdrantex.Qdrant.PointsUpdateOperation.SetPayload.PayloadEntry","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointsUpdateOperation.SetPayload.PayloadEntry.html#t:t/0","title":"Qdrantex.Qdrant.PointsUpdateOperation.SetPayload.PayloadEntry.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.PointsUpdateOperation.UpdateVectors.html","title":"Qdrantex.Qdrant.PointsUpdateOperation.UpdateVectors","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.PointsUpdateOperation.UpdateVectors.html#t:t/0","title":"Qdrantex.Qdrant.PointsUpdateOperation.UpdateVectors.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ProductQuantization.html","title":"Qdrantex.Qdrant.ProductQuantization","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ProductQuantization.html#t:t/0","title":"Qdrantex.Qdrant.ProductQuantization.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Qdrant.Service.html","title":"Qdrantex.Qdrant.Qdrant.Service","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Qdrant.Stub.html","title":"Qdrantex.Qdrant.Qdrant.Stub","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Qdrant.Stub.html#health_check/3","title":"Qdrantex.Qdrant.Qdrant.Stub.health_check/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.QdrantInternal.Service.html","title":"Qdrantex.Qdrant.QdrantInternal.Service","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.QdrantInternal.Stub.html","title":"Qdrantex.Qdrant.QdrantInternal.Stub","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.QdrantInternal.Stub.html#get_consensus_commit/3","title":"Qdrantex.Qdrant.QdrantInternal.Stub.get_consensus_commit/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.QdrantInternal.Stub.html#wait_on_consensus_commit/3","title":"Qdrantex.Qdrant.QdrantInternal.Stub.wait_on_consensus_commit/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.QuantizationConfig.html","title":"Qdrantex.Qdrant.QuantizationConfig","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.QuantizationConfig.html#t:t/0","title":"Qdrantex.Qdrant.QuantizationConfig.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.QuantizationConfigDiff.html","title":"Qdrantex.Qdrant.QuantizationConfigDiff","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.QuantizationConfigDiff.html#t:t/0","title":"Qdrantex.Qdrant.QuantizationConfigDiff.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.QuantizationSearchParams.html","title":"Qdrantex.Qdrant.QuantizationSearchParams","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.QuantizationSearchParams.html#t:t/0","title":"Qdrantex.Qdrant.QuantizationSearchParams.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.QuantizationType.html","title":"Qdrantex.Qdrant.QuantizationType","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.QuantizationType.html#t:t/0","title":"Qdrantex.Qdrant.QuantizationType.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.QueryEnum.html","title":"Qdrantex.Qdrant.QueryEnum","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.QueryEnum.html#t:t/0","title":"Qdrantex.Qdrant.QueryEnum.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Raft.Service.html","title":"Qdrantex.Qdrant.Raft.Service","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Raft.Stub.html","title":"Qdrantex.Qdrant.Raft.Stub","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Raft.Stub.html#add_peer_as_participant/3","title":"Qdrantex.Qdrant.Raft.Stub.add_peer_as_participant/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Raft.Stub.html#add_peer_to_known/3","title":"Qdrantex.Qdrant.Raft.Stub.add_peer_to_known/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Raft.Stub.html#send/3","title":"Qdrantex.Qdrant.Raft.Stub.send/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Raft.Stub.html#who_is/3","title":"Qdrantex.Qdrant.Raft.Stub.who_is/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.RaftMessage.html","title":"Qdrantex.Qdrant.RaftMessage","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RaftMessage.html#t:t/0","title":"Qdrantex.Qdrant.RaftMessage.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Range.html","title":"Qdrantex.Qdrant.Range","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Range.html#t:t/0","title":"Qdrantex.Qdrant.Range.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ReadConsistency.html","title":"Qdrantex.Qdrant.ReadConsistency","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ReadConsistency.html#t:t/0","title":"Qdrantex.Qdrant.ReadConsistency.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ReadConsistencyType.html","title":"Qdrantex.Qdrant.ReadConsistencyType","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ReadConsistencyType.html#t:t/0","title":"Qdrantex.Qdrant.ReadConsistencyType.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RecoQuery.html","title":"Qdrantex.Qdrant.RecoQuery","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RecoQuery.html#t:t/0","title":"Qdrantex.Qdrant.RecoQuery.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RecommendBatchPoints.html","title":"Qdrantex.Qdrant.RecommendBatchPoints","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RecommendBatchPoints.html#t:t/0","title":"Qdrantex.Qdrant.RecommendBatchPoints.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RecommendBatchResponse.html","title":"Qdrantex.Qdrant.RecommendBatchResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RecommendBatchResponse.html#t:t/0","title":"Qdrantex.Qdrant.RecommendBatchResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RecommendGroupsResponse.html","title":"Qdrantex.Qdrant.RecommendGroupsResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RecommendGroupsResponse.html#t:t/0","title":"Qdrantex.Qdrant.RecommendGroupsResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RecommendPointGroups.html","title":"Qdrantex.Qdrant.RecommendPointGroups","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RecommendPointGroups.html#t:t/0","title":"Qdrantex.Qdrant.RecommendPointGroups.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RecommendPoints.html","title":"Qdrantex.Qdrant.RecommendPoints","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RecommendPoints.html#t:t/0","title":"Qdrantex.Qdrant.RecommendPoints.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RecommendPointsInternal.html","title":"Qdrantex.Qdrant.RecommendPointsInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RecommendPointsInternal.html#t:t/0","title":"Qdrantex.Qdrant.RecommendPointsInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RecommendResponse.html","title":"Qdrantex.Qdrant.RecommendResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RecommendResponse.html#t:t/0","title":"Qdrantex.Qdrant.RecommendResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RecommendStrategy.html","title":"Qdrantex.Qdrant.RecommendStrategy","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RecommendStrategy.html#t:t/0","title":"Qdrantex.Qdrant.RecommendStrategy.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RecoverShardSnapshotRequest.html","title":"Qdrantex.Qdrant.RecoverShardSnapshotRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RecoverShardSnapshotRequest.html#t:t/0","title":"Qdrantex.Qdrant.RecoverShardSnapshotRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RecoverSnapshotResponse.html","title":"Qdrantex.Qdrant.RecoverSnapshotResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RecoverSnapshotResponse.html#t:t/0","title":"Qdrantex.Qdrant.RecoverSnapshotResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RecoveryPoint.html","title":"Qdrantex.Qdrant.RecoveryPoint","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RecoveryPoint.html#t:t/0","title":"Qdrantex.Qdrant.RecoveryPoint.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RecoveryPointClockTag.html","title":"Qdrantex.Qdrant.RecoveryPointClockTag","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RecoveryPointClockTag.html#t:t/0","title":"Qdrantex.Qdrant.RecoveryPointClockTag.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RemoteShardInfo.html","title":"Qdrantex.Qdrant.RemoteShardInfo","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RemoteShardInfo.html#t:t/0","title":"Qdrantex.Qdrant.RemoteShardInfo.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RenameAlias.html","title":"Qdrantex.Qdrant.RenameAlias","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RenameAlias.html#t:t/0","title":"Qdrantex.Qdrant.RenameAlias.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RepeatedIntegers.html","title":"Qdrantex.Qdrant.RepeatedIntegers","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RepeatedIntegers.html#t:t/0","title":"Qdrantex.Qdrant.RepeatedIntegers.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RepeatedStrings.html","title":"Qdrantex.Qdrant.RepeatedStrings","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RepeatedStrings.html#t:t/0","title":"Qdrantex.Qdrant.RepeatedStrings.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Replica.html","title":"Qdrantex.Qdrant.Replica","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Replica.html#t:t/0","title":"Qdrantex.Qdrant.Replica.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ReplicaState.html","title":"Qdrantex.Qdrant.ReplicaState","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ReplicaState.html#t:t/0","title":"Qdrantex.Qdrant.ReplicaState.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RestartTransfer.html","title":"Qdrantex.Qdrant.RestartTransfer","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RestartTransfer.html#t:t/0","title":"Qdrantex.Qdrant.RestartTransfer.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RetrievedPoint.html","title":"Qdrantex.Qdrant.RetrievedPoint","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RetrievedPoint.html#t:t/0","title":"Qdrantex.Qdrant.RetrievedPoint.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.RetrievedPoint.PayloadEntry.html","title":"Qdrantex.Qdrant.RetrievedPoint.PayloadEntry","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.RetrievedPoint.PayloadEntry.html#t:t/0","title":"Qdrantex.Qdrant.RetrievedPoint.PayloadEntry.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ScalarQuantization.html","title":"Qdrantex.Qdrant.ScalarQuantization","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ScalarQuantization.html#t:t/0","title":"Qdrantex.Qdrant.ScalarQuantization.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ScoredPoint.html","title":"Qdrantex.Qdrant.ScoredPoint","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ScoredPoint.html#t:t/0","title":"Qdrantex.Qdrant.ScoredPoint.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ScoredPoint.PayloadEntry.html","title":"Qdrantex.Qdrant.ScoredPoint.PayloadEntry","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ScoredPoint.PayloadEntry.html#t:t/0","title":"Qdrantex.Qdrant.ScoredPoint.PayloadEntry.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ScrollPoints.html","title":"Qdrantex.Qdrant.ScrollPoints","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ScrollPoints.html#t:t/0","title":"Qdrantex.Qdrant.ScrollPoints.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ScrollPointsInternal.html","title":"Qdrantex.Qdrant.ScrollPointsInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ScrollPointsInternal.html#t:t/0","title":"Qdrantex.Qdrant.ScrollPointsInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ScrollResponse.html","title":"Qdrantex.Qdrant.ScrollResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ScrollResponse.html#t:t/0","title":"Qdrantex.Qdrant.ScrollResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.SearchBatchPoints.html","title":"Qdrantex.Qdrant.SearchBatchPoints","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SearchBatchPoints.html#t:t/0","title":"Qdrantex.Qdrant.SearchBatchPoints.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.SearchBatchPointsInternal.html","title":"Qdrantex.Qdrant.SearchBatchPointsInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SearchBatchPointsInternal.html#t:t/0","title":"Qdrantex.Qdrant.SearchBatchPointsInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.SearchBatchResponse.html","title":"Qdrantex.Qdrant.SearchBatchResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SearchBatchResponse.html#t:t/0","title":"Qdrantex.Qdrant.SearchBatchResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.SearchGroupsResponse.html","title":"Qdrantex.Qdrant.SearchGroupsResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SearchGroupsResponse.html#t:t/0","title":"Qdrantex.Qdrant.SearchGroupsResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.SearchParams.html","title":"Qdrantex.Qdrant.SearchParams","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SearchParams.html#t:t/0","title":"Qdrantex.Qdrant.SearchParams.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.SearchPointGroups.html","title":"Qdrantex.Qdrant.SearchPointGroups","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SearchPointGroups.html#t:t/0","title":"Qdrantex.Qdrant.SearchPointGroups.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.SearchPoints.html","title":"Qdrantex.Qdrant.SearchPoints","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SearchPoints.html#t:t/0","title":"Qdrantex.Qdrant.SearchPoints.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.SearchPointsInternal.html","title":"Qdrantex.Qdrant.SearchPointsInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SearchPointsInternal.html#t:t/0","title":"Qdrantex.Qdrant.SearchPointsInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.SearchResponse.html","title":"Qdrantex.Qdrant.SearchResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SearchResponse.html#t:t/0","title":"Qdrantex.Qdrant.SearchResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.SetPayloadPoints.html","title":"Qdrantex.Qdrant.SetPayloadPoints","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SetPayloadPoints.html#t:t/0","title":"Qdrantex.Qdrant.SetPayloadPoints.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.SetPayloadPoints.PayloadEntry.html","title":"Qdrantex.Qdrant.SetPayloadPoints.PayloadEntry","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SetPayloadPoints.PayloadEntry.html#t:t/0","title":"Qdrantex.Qdrant.SetPayloadPoints.PayloadEntry.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.SetPayloadPointsInternal.html","title":"Qdrantex.Qdrant.SetPayloadPointsInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SetPayloadPointsInternal.html#t:t/0","title":"Qdrantex.Qdrant.SetPayloadPointsInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ShardKey.html","title":"Qdrantex.Qdrant.ShardKey","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ShardKey.html#t:t/0","title":"Qdrantex.Qdrant.ShardKey.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ShardKeySelector.html","title":"Qdrantex.Qdrant.ShardKeySelector","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ShardKeySelector.html#t:t/0","title":"Qdrantex.Qdrant.ShardKeySelector.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ShardSnapshotLocation.html","title":"Qdrantex.Qdrant.ShardSnapshotLocation","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ShardSnapshotLocation.html#t:t/0","title":"Qdrantex.Qdrant.ShardSnapshotLocation.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ShardSnapshotPriority.html","title":"Qdrantex.Qdrant.ShardSnapshotPriority","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ShardSnapshotPriority.html#t:t/0","title":"Qdrantex.Qdrant.ShardSnapshotPriority.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ShardSnapshots.Service.html","title":"Qdrantex.Qdrant.ShardSnapshots.Service","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ShardSnapshots.Stub.html","title":"Qdrantex.Qdrant.ShardSnapshots.Stub","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ShardSnapshots.Stub.html#create/3","title":"Qdrantex.Qdrant.ShardSnapshots.Stub.create/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.ShardSnapshots.Stub.html#delete/3","title":"Qdrantex.Qdrant.ShardSnapshots.Stub.delete/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.ShardSnapshots.Stub.html#list/3","title":"Qdrantex.Qdrant.ShardSnapshots.Stub.list/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.ShardSnapshots.Stub.html#recover/3","title":"Qdrantex.Qdrant.ShardSnapshots.Stub.recover/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.ShardTransferInfo.html","title":"Qdrantex.Qdrant.ShardTransferInfo","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ShardTransferInfo.html#t:t/0","title":"Qdrantex.Qdrant.ShardTransferInfo.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ShardTransferMethod.html","title":"Qdrantex.Qdrant.ShardTransferMethod","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ShardTransferMethod.html#t:t/0","title":"Qdrantex.Qdrant.ShardTransferMethod.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ShardingMethod.html","title":"Qdrantex.Qdrant.ShardingMethod","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ShardingMethod.html#t:t/0","title":"Qdrantex.Qdrant.ShardingMethod.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.SnapshotDescription.html","title":"Qdrantex.Qdrant.SnapshotDescription","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SnapshotDescription.html#t:t/0","title":"Qdrantex.Qdrant.SnapshotDescription.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Snapshots.Service.html","title":"Qdrantex.Qdrant.Snapshots.Service","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Snapshots.Stub.html","title":"Qdrantex.Qdrant.Snapshots.Stub","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Snapshots.Stub.html#create/3","title":"Qdrantex.Qdrant.Snapshots.Stub.create/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Snapshots.Stub.html#create_full/3","title":"Qdrantex.Qdrant.Snapshots.Stub.create_full/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Snapshots.Stub.html#delete/3","title":"Qdrantex.Qdrant.Snapshots.Stub.delete/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Snapshots.Stub.html#delete_full/3","title":"Qdrantex.Qdrant.Snapshots.Stub.delete_full/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Snapshots.Stub.html#list/3","title":"Qdrantex.Qdrant.Snapshots.Stub.list/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.Snapshots.Stub.html#list_full/3","title":"Qdrantex.Qdrant.Snapshots.Stub.list_full/3","type":"function"},{"doc":"","ref":"Qdrantex.Qdrant.SparseIndexConfig.html","title":"Qdrantex.Qdrant.SparseIndexConfig","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SparseIndexConfig.html#t:t/0","title":"Qdrantex.Qdrant.SparseIndexConfig.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.SparseIndices.html","title":"Qdrantex.Qdrant.SparseIndices","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SparseIndices.html#t:t/0","title":"Qdrantex.Qdrant.SparseIndices.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.SparseVectorConfig.html","title":"Qdrantex.Qdrant.SparseVectorConfig","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SparseVectorConfig.html#t:t/0","title":"Qdrantex.Qdrant.SparseVectorConfig.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.SparseVectorConfig.MapEntry.html","title":"Qdrantex.Qdrant.SparseVectorConfig.MapEntry","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SparseVectorConfig.MapEntry.html#t:t/0","title":"Qdrantex.Qdrant.SparseVectorConfig.MapEntry.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.SparseVectorParams.html","title":"Qdrantex.Qdrant.SparseVectorParams","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SparseVectorParams.html#t:t/0","title":"Qdrantex.Qdrant.SparseVectorParams.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.StartFrom.html","title":"Qdrantex.Qdrant.StartFrom","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.StartFrom.html#t:t/0","title":"Qdrantex.Qdrant.StartFrom.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Struct.html","title":"Qdrantex.Qdrant.Struct","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Struct.html#t:t/0","title":"Qdrantex.Qdrant.Struct.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Struct.FieldsEntry.html","title":"Qdrantex.Qdrant.Struct.FieldsEntry","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Struct.FieldsEntry.html#t:t/0","title":"Qdrantex.Qdrant.Struct.FieldsEntry.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.SyncPoints.html","title":"Qdrantex.Qdrant.SyncPoints","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SyncPoints.html#t:t/0","title":"Qdrantex.Qdrant.SyncPoints.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.SyncPointsInternal.html","title":"Qdrantex.Qdrant.SyncPointsInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.SyncPointsInternal.html#t:t/0","title":"Qdrantex.Qdrant.SyncPointsInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.TargetVector.html","title":"Qdrantex.Qdrant.TargetVector","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.TargetVector.html#t:t/0","title":"Qdrantex.Qdrant.TargetVector.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.TextIndexParams.html","title":"Qdrantex.Qdrant.TextIndexParams","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.TextIndexParams.html#t:t/0","title":"Qdrantex.Qdrant.TextIndexParams.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.TokenizerType.html","title":"Qdrantex.Qdrant.TokenizerType","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.TokenizerType.html#t:t/0","title":"Qdrantex.Qdrant.TokenizerType.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateBatchPoints.html","title":"Qdrantex.Qdrant.UpdateBatchPoints","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateBatchPoints.html#t:t/0","title":"Qdrantex.Qdrant.UpdateBatchPoints.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateBatchResponse.html","title":"Qdrantex.Qdrant.UpdateBatchResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateBatchResponse.html#t:t/0","title":"Qdrantex.Qdrant.UpdateBatchResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateCollection.html","title":"Qdrantex.Qdrant.UpdateCollection","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateCollection.html#t:t/0","title":"Qdrantex.Qdrant.UpdateCollection.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateCollectionClusterSetupRequest.html","title":"Qdrantex.Qdrant.UpdateCollectionClusterSetupRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateCollectionClusterSetupRequest.html#t:t/0","title":"Qdrantex.Qdrant.UpdateCollectionClusterSetupRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateCollectionClusterSetupResponse.html","title":"Qdrantex.Qdrant.UpdateCollectionClusterSetupResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateCollectionClusterSetupResponse.html#t:t/0","title":"Qdrantex.Qdrant.UpdateCollectionClusterSetupResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.UpdatePointVectors.html","title":"Qdrantex.Qdrant.UpdatePointVectors","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.UpdatePointVectors.html#t:t/0","title":"Qdrantex.Qdrant.UpdatePointVectors.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateResult.html","title":"Qdrantex.Qdrant.UpdateResult","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateResult.html#t:t/0","title":"Qdrantex.Qdrant.UpdateResult.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateResultInternal.html","title":"Qdrantex.Qdrant.UpdateResultInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateResultInternal.html#t:t/0","title":"Qdrantex.Qdrant.UpdateResultInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateShardCutoffPointRequest.html","title":"Qdrantex.Qdrant.UpdateShardCutoffPointRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateShardCutoffPointRequest.html#t:t/0","title":"Qdrantex.Qdrant.UpdateShardCutoffPointRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateStatus.html","title":"Qdrantex.Qdrant.UpdateStatus","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateStatus.html#t:t/0","title":"Qdrantex.Qdrant.UpdateStatus.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateVectorsInternal.html","title":"Qdrantex.Qdrant.UpdateVectorsInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.UpdateVectorsInternal.html#t:t/0","title":"Qdrantex.Qdrant.UpdateVectorsInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.UpsertPoints.html","title":"Qdrantex.Qdrant.UpsertPoints","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.UpsertPoints.html#t:t/0","title":"Qdrantex.Qdrant.UpsertPoints.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.UpsertPointsInternal.html","title":"Qdrantex.Qdrant.UpsertPointsInternal","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.UpsertPointsInternal.html#t:t/0","title":"Qdrantex.Qdrant.UpsertPointsInternal.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Uri.html","title":"Qdrantex.Qdrant.Uri","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Uri.html#t:t/0","title":"Qdrantex.Qdrant.Uri.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Value.html","title":"Qdrantex.Qdrant.Value","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Value.html#t:t/0","title":"Qdrantex.Qdrant.Value.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.ValuesCount.html","title":"Qdrantex.Qdrant.ValuesCount","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.ValuesCount.html#t:t/0","title":"Qdrantex.Qdrant.ValuesCount.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Vector.html","title":"Qdrantex.Qdrant.Vector","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Vector.html#t:t/0","title":"Qdrantex.Qdrant.Vector.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.VectorExample.html","title":"Qdrantex.Qdrant.VectorExample","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.VectorExample.html#t:t/0","title":"Qdrantex.Qdrant.VectorExample.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.VectorParams.html","title":"Qdrantex.Qdrant.VectorParams","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.VectorParams.html#t:t/0","title":"Qdrantex.Qdrant.VectorParams.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.VectorParamsDiff.html","title":"Qdrantex.Qdrant.VectorParamsDiff","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.VectorParamsDiff.html#t:t/0","title":"Qdrantex.Qdrant.VectorParamsDiff.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.VectorParamsDiffMap.html","title":"Qdrantex.Qdrant.VectorParamsDiffMap","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.VectorParamsDiffMap.html#t:t/0","title":"Qdrantex.Qdrant.VectorParamsDiffMap.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.VectorParamsDiffMap.MapEntry.html","title":"Qdrantex.Qdrant.VectorParamsDiffMap.MapEntry","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.VectorParamsDiffMap.MapEntry.html#t:t/0","title":"Qdrantex.Qdrant.VectorParamsDiffMap.MapEntry.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.VectorParamsMap.html","title":"Qdrantex.Qdrant.VectorParamsMap","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.VectorParamsMap.html#t:t/0","title":"Qdrantex.Qdrant.VectorParamsMap.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.VectorParamsMap.MapEntry.html","title":"Qdrantex.Qdrant.VectorParamsMap.MapEntry","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.VectorParamsMap.MapEntry.html#t:t/0","title":"Qdrantex.Qdrant.VectorParamsMap.MapEntry.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.Vectors.html","title":"Qdrantex.Qdrant.Vectors","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.Vectors.html#t:t/0","title":"Qdrantex.Qdrant.Vectors.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.VectorsConfig.html","title":"Qdrantex.Qdrant.VectorsConfig","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.VectorsConfig.html#t:t/0","title":"Qdrantex.Qdrant.VectorsConfig.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.VectorsConfigDiff.html","title":"Qdrantex.Qdrant.VectorsConfigDiff","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.VectorsConfigDiff.html#t:t/0","title":"Qdrantex.Qdrant.VectorsConfigDiff.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.VectorsSelector.html","title":"Qdrantex.Qdrant.VectorsSelector","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.VectorsSelector.html#t:t/0","title":"Qdrantex.Qdrant.VectorsSelector.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.WaitForShardStateRequest.html","title":"Qdrantex.Qdrant.WaitForShardStateRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.WaitForShardStateRequest.html#t:t/0","title":"Qdrantex.Qdrant.WaitForShardStateRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.WaitOnConsensusCommitRequest.html","title":"Qdrantex.Qdrant.WaitOnConsensusCommitRequest","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.WaitOnConsensusCommitRequest.html#t:t/0","title":"Qdrantex.Qdrant.WaitOnConsensusCommitRequest.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.WaitOnConsensusCommitResponse.html","title":"Qdrantex.Qdrant.WaitOnConsensusCommitResponse","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.WaitOnConsensusCommitResponse.html#t:t/0","title":"Qdrantex.Qdrant.WaitOnConsensusCommitResponse.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.WalConfigDiff.html","title":"Qdrantex.Qdrant.WalConfigDiff","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.WalConfigDiff.html#t:t/0","title":"Qdrantex.Qdrant.WalConfigDiff.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.WithLookup.html","title":"Qdrantex.Qdrant.WithLookup","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.WithLookup.html#t:t/0","title":"Qdrantex.Qdrant.WithLookup.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.WithPayloadSelector.html","title":"Qdrantex.Qdrant.WithPayloadSelector","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.WithPayloadSelector.html#t:t/0","title":"Qdrantex.Qdrant.WithPayloadSelector.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.WithVectorsSelector.html","title":"Qdrantex.Qdrant.WithVectorsSelector","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.WithVectorsSelector.html#t:t/0","title":"Qdrantex.Qdrant.WithVectorsSelector.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.WriteOrdering.html","title":"Qdrantex.Qdrant.WriteOrdering","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.WriteOrdering.html#t:t/0","title":"Qdrantex.Qdrant.WriteOrdering.t/0","type":"type"},{"doc":"","ref":"Qdrantex.Qdrant.WriteOrderingType.html","title":"Qdrantex.Qdrant.WriteOrderingType","type":"module"},{"doc":"","ref":"Qdrantex.Qdrant.WriteOrderingType.html#t:t/0","title":"Qdrantex.Qdrant.WriteOrderingType.t/0","type":"type"},{"doc":"Error struct for Qdrantex","ref":"Qdrantex.Error.html","title":"Qdrantex.Error","type":"exception"},{"doc":"# Qdrantex\n\nClient library and SDK for the [Qdrant](https://github.com/qdrant/qdrant) vector search engine.\n\nLibrary contains type definitions for all Qdrant API with gRPC.","ref":"readme.html","title":"Qdrantex","type":"extras"},{"doc":"* Define your repo:\n\n  ```elixir\n  defmodule MyApp.QdrantRepo do\n    use Qdrantex,\n    otp_app: :my_app\n  end\n  ```\n\n  or use default `Qdrantex.Repo`\n\n* Add this repo to your supervision tree:\n\n  ```elixir\n  defmodule MyApp.App do\n    use Application\n\n    # ...\n\n    def start(_type, _args) do\n      import Supervisor.Spec\n      children = [\n        MyApp.QdrantRepo\n        # ...\n      ]\n      opts = [strategy: :one_for_one, name: MyApp]\n      Supervisor.start_link(children, opts)\n    end\n  end\n  ```\n\n* Make requests using protobuf messages with `Repo.run`, enclosuring your parameters. \n  `&1` - is placeholder for gRPC connection, that `Repo` will substitute by itself:\n\n  ```elixir\n  Qdrantex.Repo.run(&Qdrantex.Qdrant.Qdrant.Stub.health_check(&1, %Qdrantex.Qdrant.HealthCheckRequest{}))\n  \n  {:ok, %Qdrantex.Qdrant.HealthCheckReply{\n    title: \"qdrant - vector search engine\",\n    version: \"1.2.3\",\n    commit: \"acbcbabcdbcbcbdcbbacbdbcbbabcbdbcbabcbdb\",\n    __unknown_fields__: []\n  }}\n  ```","ref":"readme.html#quickstart","title":"Quickstart - Qdrantex","type":"extras"},{"doc":"#","ref":"readme.html#security","title":"Security - Qdrantex","type":"extras"},{"doc":"Add api key as a parameter for your `Repo` in any suitable place:\n\n```elixir\nimport Config\n\nconfig :my_app, MyApp.QdrantRepo\n  auth_key: \"your_secret_api_key_here\"\n```\n\nor \n\n```elixir\n  # somewhere in main supervisor\n      children = [\n        {MyApp.QdrantRepo, [api_key: \"your_secret_api_key_here\"]}\n        # ...\n      ]\n```\n\n#","ref":"readme.html#api-key","title":"API Key - Qdrantex","type":"extras"},{"doc":"Add ssl config to repo opts\n\n```elixir\nimport Config\n\nconfig :my_app, MyApp.QdrantRepo\n  ssl: [\n    cacertfile: Path.expand(\"./ca.crt\", :code.priv_dir(:myapp)), \n    certfile: Path.expand(\"./client.crt\", :code.priv_dir(:myapp)), \n    keyfile: Path.expand(\"./client.key\", :code.priv_dir(:myapp)),\n    verify: :verify_peer,\n    server_name_indication: 'myapp'\n]\n```","ref":"readme.html#mtls-configuration","title":"mTLS Configuration - Qdrantex","type":"extras"},{"doc":"`MAJOR.MINOR` version for this library matches `MAJOR.MINOR` version of QDrant's protbuf","ref":"readme.html#versions-match","title":"Versions match - Qdrantex","type":"extras"},{"doc":"The package can be installed by adding `qdrantex` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:qdrantex, \"~> 1.8.0\"}\n  ]\nend\n```\n\nThe docs can be found at  .","ref":"readme.html#installation","title":"Installation - Qdrantex","type":"extras"}],"producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}